Subject: Re: [bug-diffutils] bug#31935: bug#31935: bug#31935: 2 crashes in diffutills commit version 576645c
From: Jim Meyering <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: [email-masked], Hongxu Chen <[email-masked]>
Date: Fri, 28 Dec 2018 23:15:33 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Dec 28, 2018 at 9:20 PM Jim Meyering <[email-masked]> wrote:
>
> On Fri, Dec 28, 2018 at 7:11 PM Paul Eggert <[email-masked]> wrote:
> >
> > Jim Meyering wrote:
> > > There are still numerous unguarded [-1] references, so this updated
> > > patch is doubtless still incomplete:
> >
> > The real bug was elsewhere, I think. I installed the attached patch. This patch
> > lacks your test case, which didn't work for me because there is no
> > require_valgrind_ in diffutils. Is require_valgrind_ from coreutils or from some
> > other location?
>
> Thanks. Nice patch.
> I've pushed the two test-related patches.

I noticed that the new test would fail when built with ASAN, so will push this: